Module java.base
Package java.security.interfaces

# Interface RSAPublicKey

All Superinterfaces:
  `Key`, `PublicKey`, `RSAKey`, `Serializable`

    public interface RSAPublicKey
    extends PublicKey, RSAKey

The interface to an RSA public key.

Since:
  1.2

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static long` | `serialVersionUID` | Deprecated. A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`BigInteger` | `getPublicExponent()` | Returns the public exponent.

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Methods declared in interface java.security.interfaces.RSAKey

`getModulus, getParams`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

See Also:
  Constant Field Values

## Method Details

### getPublicExponent

BigInteger getPublicExponent()
Returns the public exponent.

Returns:
  the public exponent